import { useRouter } from 'next/router';
import React from 'react';
import useAuth from './auth';

export function withPublic(Component: any) {
  return function WithPublic(props: any) {
    const auth: any = useAuth();
    const router = useRouter();
    const pathname = router.pathname;

    if(auth.user) {
      router.replace('/admin');
      return <h1>Loading...</h1>;
    }
    return <Component auth={auth} pathname={pathname} {...props} />;
  };
}

export function withProtected(Component: any) {
  return function WithProtected(props: any) {
    const auth: any = useAuth();
    const router = useRouter();
    const pathname = router.pathname;

    if(!auth.user) {
      router.replace('/login');
      return <h1>Loading...</h1>;
    }
    return <Component auth={auth} pathname={pathname} {...props} />;
  };
}
