import firebase from 'firebase/app';
import 'firebase/auth';
import React, { useEffect, useState } from 'react';
import useAuth from '../context/hooks/auth';

export default function AuthStateChanged({ children }: any) {
  const { setUser }: any = useAuth();
  const [loading, setLoading] = useState<any>(true);

  useEffect(() => {
    firebase.auth().onAuthStateChanged((user: any) => {
      setUser(user);
      setLoading(false);
    });
    //eslint-disable-next-line
  }, []);

  if(loading) {
    return (
      <>
        <h1>Loading...</h1>
      </>
    );
  }

  return children;
}
