import firebase from 'firebase/app';
import 'firebase/auth';

export const AuthService = {
  logout: async () => {
    await firebase.auth().signOut();
  },

  signInUserWithEmailAndPassword: async (email: string, password: string) => {
    try {
      const userCred = await firebase
        .auth()
        .signInWithEmailAndPassword(email, password);
      return {
        user: userCred.user
      };
    } catch(e: any) {
      return {
        error: e.message
      };
    }
  }
};
